#pragma once

class Char
{
public:
    static constexpr char LEFT_BRACKET = '<';
    static constexpr char RIGHT_BRACKET = '>';
    static constexpr char FORWARD_SLASH = '/';
    static constexpr char BACK_SLASH = '\\';
    static constexpr char QUESTION_MARK = '?';
    static constexpr char EQUALS = '=';
    static constexpr char DOUBLE_QUOTE = '"';
    static constexpr char SINGLE_QUOTE = '\'';
    static constexpr char COLON = ':';
    
    static bool is_alpha_upper(char c);

    static bool is_alpha_lower(char c);

    static bool is_alpha(char c);

    static bool is_alnum(char c);

    static bool is_digit(char c);

    static bool is_space(char c);

    static char to_lower(char c);
};