#pragma once

#include "FileSystemPath.h"
#include "String.h"
#include "Vector.h"

class PathUtils
{
public:
    static String getBaseFilename(const FileSystemPath& path);

    static FileSystemPath getRelativePath(const FileSystemPath& path, const FileSystemPath& relativeTo);

    static String getPathDelimited(const FileSystemPath& path, char delimiter='-');
};
