#include "XmlDocument.h"

XmlDocument::XmlDocument()
    : mProlog(XmlProlog::Create("xml"))
{

}

XmlDocument::~XmlDocument()
{

}

void XmlDocument::setProlog(Ptr<XmlProlog> prolog)
{
    mProlog = std::move(prolog);
}

const XmlProlog* XmlDocument::getProlog() const
{
    return mProlog.get();
}

XmlProlog* XmlDocument::getProlog()
{
    return mProlog.get();
}

void XmlDocument::setRoot(Ptr<XmlElement> root)
{
    mRoot = std::move(root);
}

const XmlElement* XmlDocument::getRoot() const
{
    return mRoot.get();
}

