#pragma once

#include "PlatformImage.h"

#include <wrl.h>

#include "Pointer.h"

class Win32WicInterface;

struct IWICBitmap;

class Win32WicImage : public PlatformImage
{
public:
	Win32WicImage(Image* image);

	virtual ~Win32WicImage();

	IWICBitmap* getBitmap();

private:
	Microsoft::WRL::ComPtr<IWICBitmap> mWicImage;
	Ptr<Win32WicInterface> mWicInterface;
};