#pragma once

#include "PdfObject.h"

class PdfPage;
using PdfPagePtr = Ptr<PdfPage>;

class PdfPageTree : public PdfObject
{
public:
    PdfPageTree();

    unsigned indexObjects(unsigned count) override;

    String toString(PdfXRefTable* xRefTable) override;

    void updateDictionary() override;

private:
    PdfPagePtr mRootPage;
};
