#pragma once

#include "GeometryNode.h"

class PolygonNode : public GeometryNode
{
public:
	PolygonNode(const Transform& t = {});

	virtual ~PolygonNode();

	Type getType() override;

	void setPoints(const Vector<Point2>& points);

private:
	void createOrUpdateGeometry(SceneInfo* sceneInfo) override;
	Vector<Point2> mPoints;
};