#include "Char.h"

bool Char::is_alpha_upper(char c)
{
    const auto unsigned_c = static_cast<unsigned char>(c);
    return unsigned_c >= 65 && unsigned_c <= 90;
}

bool Char::is_alpha_lower(char c)
{
    const auto unsigned_c = static_cast<unsigned char>(c);
    return unsigned_c >= 97 && unsigned_c <= 122;
}

bool Char::is_alpha(char c)
{
    return is_alpha_upper(c) || is_alpha_lower(c);
}

bool Char::is_alnum(char c)
{
    return is_alpha(c) || is_digit(c);
}

bool Char::is_digit(char c)
{
    const auto unsigned_c = static_cast<unsigned char>(c);
    return unsigned_c >= 48 && unsigned_c <= 57;
}

bool Char::is_space(char c)
{
    return c == ' ' || c == '\f' || c == '\n' 
        || c == '\r' || c == '\t' || c == '\v';
}

char Char::to_lower(char c)
{
    if (is_alpha_upper(c))
    {
        return c + 32;
    }
    else 
    {
        return c;
    }
}