#pragma once

#include "Logger.h"

class FileLogger : public Logger
{
    FileLogger();

    ~FileLogger();

    void disable();

    void SetWorkDirectory(const String& workDir);

    void SetFileName(const String& fileName);

    void Open();

    void Close();

    void log_line(Level level, 
        const String& line, 
        const String& fileName, 
        const String& functionName, 
        int lineNumber) override;
private:
    bool mDisabled{false};
    String mWorkDirectory;
    String mFileName;
};