#include "InputBitStream.h"

InputBitStream::InputBitStream(InputStream<Byte>* stream)
    : BitStream(),
      mStream(stream)
{

}

bool InputBitStream::isFinished() const
{
    return mStream->good();
}

void InputBitStream::peekNextNBytes(size_t, VecBytes&) const
{
}

Optional<Byte> InputBitStream::readNextByte()
{
    if (mStream->good())
    {
        return static_cast<Byte>(mStream->get());
    }
    else
    {
        return {};
    }
}

void InputBitStream::writeByte(Byte, bool)
{

}
