#pragma once

#include "BitStream.h"
#include "Stream.h"
#include "ByteTypes.h"

class InputBitStream : public BitStream
{
    InputBitStream(InputStream<Byte>* stream);

    bool isFinished() const override;

    void peekNextNBytes(size_t n, VecBytes& bytes) const override;

    Optional<Byte> readNextByte() override;

    void writeByte(Byte data, bool checkOverflow = true) override;

    void writeBytes(const VecBytes&) override
    {

    }

private:
    InputStream<Byte>* mStream{nullptr};
};
