#pragma once

#include "Pointer.h"

class IApplicationContext
{
public:
    IApplicationContext() = default;
    virtual ~IApplicationContext() = default;
};

class AbstractApp
{
public:
    AbstractApp() = default;

    virtual ~AbstractApp() = default;
    IApplicationContext* GetApplicationContext() const
    {
        return mApplicationContext.get();
    }
protected:
    Ptr<IApplicationContext> mApplicationContext{ nullptr };
};

using AbstractAppPtr = Ptr<AbstractApp>;
