#pragma once
#include "Pointer.h"
#include <sqlite3.h>

#include "Database.h"

class SqliteInterface
{
public:
    SqliteInterface();

    ~SqliteInterface();

    static Ptr<SqliteInterface> Create();

    void open(Database* db);

    void close();

    void run(const String& statement);

private:
    sqlite3* mSqliteDb;
};

using SqliteInterfacePtr = Ptr<SqliteInterface>;
